package main

import "fmt"

type Person struct {
	name string
	age  int
}

func MakePerson(name string, age int) Person {
	return Person{name, age}
}

func main() {
	personSlice := make([]Person, 0, 512)
	for i := 0; i < 10_000_000; i++ {
		personSlice = append(personSlice, MakePerson("aaa", i))
	}
	fmt.Println(personSlice[:100])
}
